Get a post
GET
/posts/{id}Authorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idstringrequiredPost ID or slug
Responses
200Post entity
_linksHalLinksidintegershop_idintegertitlestringslugstringbodystringdescriptionstringshort_descriptionstringpublishedbooleanThere is no `status` field — this is a boolean.
published_onstring<date-time>formatstringAllowed:
htmlmarkdownuser_idintegercreated_onstring<date-time>updated_onstring<date-time>404Post not found
Request
curl -X GET "https://api.onbolder.com/v2/posts/string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.onbolder.com/v2/posts/string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.onbolder.com/v2/posts/string",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"_links": {
"property1": {
"href": "string",
"templated": true,
"method": "get",
"title": "string",
"type": "string"
},
"property2": {
"href": "string",
"templated": true,
"method": "get",
"title": "string",
"type": "string"
}
},
"id": 0,
"shop_id": 0,
"title": "string",
"slug": "string",
"body": "string",
"description": "string",
"short_description": "string",
"published": true,
"published_on": "2019-08-24T14:15:22Z",
"format": "html",
"user_id": 0,
"created_on": "2019-08-24T14:15:22Z",
"updated_on": "2019-08-24T14:15:22Z"
}Post not found